controllers/local.py
from flask import Blueprint, url_for
from flask import render_template, request, redirect,  flash
from models import Local
from database import db

bp_local = Blueprint("local", __name__, template_folder="templates")

@bp_local.route('/create', methods=['GET', 'POST'])
def create():
  if request.method=='GET':
    return render_template('localCa.html')

  else:
    nome_local = request.form.get('nome_local')
    endereco = request.form.get('endereco')
    l = Local(nome_local, endereco)
    db.session.add(l) 
    db.session.commit()
    return redirect('/locais')

@bp_local.route('/recovery')
def recovery():
  local = Local.query.all()
  return render_template('local_recovery.html', local=local)

@bp_local.route('/delete/<int:id>', methods=['GET', 'POST'])
def delete(id): 
  if request.method == 'GET':
    local = Local.query.get(id)
    return render_template('local_delete.html', local = local)

  if request.method == 'POST':
    local = Local.query.get(id)
    db.session.delete(local)
    db.session.commit()
    return redirect('/locais')


@bp_local.route('/update/<int:id>', methods= ['GET', 'POST'])
def update(id):
  if request.method == 'GET':
    local = Local.query.get(id)
    return render_template('local_update.html', local = local)
    
    if request.method=='POST':
      local = Local.query.get(id)
      "local.nome_local = request.form.get('nome')"
      
  else:
    if request.method== 'GET':
      local = Local.query.get(id)
      return render_template('local_update.html', local = local)
      
    if request.method=='POST':
      local = Local.query.get(id)
      local.nome_local = request.form.get('nome_local')
      local.endereco = request.form.get('endereco')

  db.session.add(local) 
  db.session.commit()
  flash('Dados atualizados com sucesso!')
  return redirect('/locais')

controllers/usuarios.py
from flask import render_template, request, redirect, flash
from models import Usuario
from database import db, lm
from flask import Blueprint, url_for
from flask_login import login_user, logout_user, login_required, current_user

bp_usuarios = Blueprint("usuarios", __name__, template_folder='templates')

@bp_usuarios.route('/recovery')
@login_required
def recovery():
  if not current_user.admin:
    flash("Acesso não permitido")
    return redirect('/login')
  if request.method=='GET':
    usuarios = Usuario.query.all()
    return render_template('usuarios_recovery.html', usuarios=usuarios)

@bp_usuarios.route('/create', methods= ['GET', 'POST'])
def create():
  if request.method== 'GET':
    return render_template('cadastroPa.html')
  else:
    nome = request.form.get('nome')
    email= request.form.get('email')
    sus = request.form.get('sus')
    senha= request.form.get('senha')
    csenha= request.form.get('senha2')
    admin = 0
    usuario= Usuario(nome, email, sus, senha, admin)
    db.session.add(usuario)
    db.session.commit()

    if senha==csenha:
      flash('Dados registrados com sucesso')
      usuario = Usuario.query.filter_by(email = email).first()
      login_user(usuario)
      return redirect('/')
    elif senha != csenha:
      flash('Senhas não conferem')
      return redirect(url_for('.create'))

@bp_usuarios.route('/update', defaults={'id':0}, methods= ['GET', 'POST'])
@bp_usuarios.route('/update/<int:id>', methods= ['GET', 'POST'])
@login_required
def update(id):
  if id==0 or not current_user.admin:
    id = current_user.id
    if request.method== 'GET':
      usuario= Usuario.query.get(id)
      return render_template('usuario_update.html', usuario = usuario)
    if request.method=='POST':
      usuario = Usuario.query.get(id)
      usuario.nome = request.form.get('nome')
      usuario.email = request.form.get('email')
  
    if (request.form.get('senha') and request.form.get('senha2') == request.form.get('senha')):
        usuario.senha = request.form.get('senha')
  
  db.session.add(usuario) 
  db.session.commit()
  flash('Dados atualizados com sucesso!')
  return redirect(url_for('.recovery'))

@bp_usuarios.route('/delete/<int:id>', methods=['GET', 'POST'])
@login_required
def delete(id):
  if not current_user.admin:
    flash("Acesso não permitido")
    return redirect('/login')
    
  if request.method == 'GET':
    usuario = Usuario.query.get(id)
    return render_template('usuarios_delete.html', usuario = usuario)

  if request.method == 'POST':
    usuario = Usuario.query.get(id)
    db.session.delete(usuario)
    db.session.commit()
    flash('Usuário excluído com sucesso')
    return redirect(url_for('.recovery'))

@lm.user_loader
def load_user(id):
  usuario = Usuario.query.filter_by(id=id).first()
  return usuario

@bp_usuarios.route('/autenticar', methods=['POST'])
def autenticar():
  email = request.form.get('email')
  senha = request.form.get('senha')
  usuario = Usuario.query.filter_by(email = email).first()
  if usuario and senha == usuario.senha:
    login_user(usuario)
    return redirect('/')
  else:
    flash('Dados incorretos', 'danger')
    return redirect('/loginPa')

@bp_usuarios.route('/logoff')
def logoff():
  logout_user()
  return redirect('/')

templates/cadastroPa.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/static/css/cadastro.css">
    <title>cadastro - Enfermeiro</title>
</head>
<body>
    <section class="esquerda">
        <h1>Bem-vindo ao <span>Imunee!</span></h1>
        <img src="/static/assets/img/Medicine-bro 1.png" alt="">
    </section>
    <section class="direita">
        <div class="card">
            <form action="/usuarios/create" method="post">
                <h1>Crie sua conta</h1>
                <div class="textfield-2">
                    <input type="text"  id="usuario" name="nome" placeholder="Digite Seu Nome...">
                    <img src="img/assets/Group 4.svg" alt="">
                </div>
                <div class="textfield-2">
                    <input type="email" id="email" name="email" placeholder="Digite Seu E-mail...">
                    <img src="img/email.svg" alt="">
                </div>
                <div class="textfield-2">
                    <input type="number" id="sus" name="sus" placeholder="Digite Seu Número do Cartão SUS...">
                </div>
                <div class="textfield-2">
                    <input type="password" id="senha" name="senha" placeholder="Digite Sua Senha...">
                    <img src="img/assets/password (1).svg" alt="">
                </div>
                <div class="textfield-2">
                    <input type="password" id="csenha" name="senha2" placeholder="Confirmar Sua Senha...">
                    <img src="img/assets/password (1).svg" alt="">
                </div>

                <a href="#">esqueceu a senha?</a>
                <input class="btn-cadastro" type="submit" value="Entrar">
              
            </form>
        </div>

       <div class="link">
            <a href="#">Página Inicial</a>
            <a href="#">Login</a>
       </div>
    </section>
</body>
</html>

templates/cadastroVa.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/static/css/cadastroVa.css">
    <title>Cadastro de Vacinas</title>
</head>
<body>
  {%extends 'menu.html'%}
  {%block conteudo%}
    <main class="container">
        <section class="cima">
            <h1>Vacinas</h1>
            <div class="direita">
                <img src="/static/assets/img/notification.svg" alt="icone de notificações">
                <p>{{current_user.nome}}</p>
                <img src="/static/assets/img/seta.svg" alt="icone de seta">
            </div>

            <nav class="ancoras">
                <ul>
                    <li class="item"><a href="/dashboard">Histórico</a></li>
                    <li class="item"><a href="/vacinas">Vacinas</a></li>
                    <li class="item"><a href="/locais">Locais</a></li>
                    <li class="item"><a href="#">Perfil</a></li>
        </section>

        <section class="baixo">
            <a class="adicionar" href="#"><img src="/static/assets/img/adicionar.svg" alt="icone de adicionar">Adicionar Vacinas</a>

            <section class="card">
                <section class="esquerda">
                    <h2>Carteira Vacinal Digital</h2>
                    <img src="/static/assets/img/seringa.png" alt="imagem de vacinas">
                </section>
                <section class="direita">
                    <form action="/estoque/create" method="post">
                        <h1>Cadastro de Vacinas</h1>
                        <div class="textfield-2">
                            <label for="nome">Nome</label>
                            <input type="text" id="nome" name="nome" placeholder="Digite o Nome da Vacina...">
                        </div>
                        <div class="textfield-2">
                            <label for="observacao">Observação</label>
                            <input type="text"  id="observacao" name="observacao" placeholder="Digite observações sobre a vacina...">
                        </div>
                        <div class="textfield-2">
                            <label for="tempo_dose">Tempo de intervalo</label>
                            <input type="text"  id="tempo_dose" name="tempo_dose" placeholder="Digite o intervalo das doses da vacina...">
                        </div>
                        <div class="textfield-3">
                            <label for="data_vencimento">Data de vencimento</label>
                            <input type="date"  id="data_vencimento" name="data_vencimento" placeholder="Digite a data do vencimento da vacina...">
                        </div>
                        <div class="textfield-3">
                            <label for="local_vacina">Local</label>
                            <input type="text" id="local_vacina" name="local_vacina" placeholder="Digite o local da vacinação...">
                        </div>
                        <div class="textfield-3">
                            <label for="disponivel">Disponível</label>
                            <select id="disponivel" name="disponivel">
                              <option value=0>Disponível</option>
                              <option value=1>Indisponível</option>
                            </select>
                        </div>

                        <input class="btn-cadastro" type="submit" value="Cadastrar">
                    </form>
                </section>
            </section>
        </section>
    </main>
  {%endblock%}
</body>
</html>

templates/enfermeiros_create.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/static/css/cadastro.css">
    <link rel="icon" type="image/png" href="/static/assets/img/favicon-16x16.png">
    <title>Cadastro</title>
</head>
<body>
    <section class="main-cadastro">
        <div class="left-cadastro">
            <h1>Cadastre-se no <span>CID</span> <br>E entre para nosso time</h1>
            <!--<img src="/static/assets/svg-cadastro.svg" class="left-image" alt="imagem login">-->
        </div>
        <div class="right-cadastro">
            <div class="card-cadastro">
                <form action="/enfermeiros/create" method="post">
                    <h1>Crie sua conta</h1>
                    <div class="textfield-2">
                        <label for="enfermeiro">Nome</label>
                        <input type="text"  id="enfermeiro" name="nome" placeholder="Nome">
                    </div>
                    <div class="textfield-2">
                        <label for="Nregistro">Número do Registro</label>
                        <input type="number"  id="Nregistro" name="Nregistro" placeholder="Registro">
                    </div>
                    <div class="textfield-2">
                        <label for="email">E-mail</label>
                        <input type="email" id="email" name="email" placeholder="email">
                    </div>
                    <div class="textfield-2">
                        <label for="senha">Senha</label>
                        <input type="password" id="senha" name="senha" placeholder="Senha">
                    </div>
                  <div class="textfield-2">
                      <label for="senha">Confirmar senha</label>
                      <input type="password" id="csenha" name="senha2" placeholder="Digite a senha novamente">
                  </div>
                    <input class="btn-cadastro" type="submit" value="criar">
                  
                </form>
            </div>
        </div>
    </section>
    <footer class="rodape">
        <p>© 2022 Site desenvolvido pela study - Criadora de Métodos de Estudos | IFRN</p>
    </footer>
</body>
</html>

templates/escolha.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/static/css/landing.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    <title>Escolha</title>
</head>
<body>
    <section>
        <div class="cadastro-container">
    
          <div class="opt-items d-flex  flex-column">
            <div class="text-cadastro">
              <h2 class="text-center mt-5">Escolha seu cadastro</h2>
            </div>
            <div class="container-items d-flex justify-content-center align-items-center">
              <div class="opt-container mr-5 d-flex flex-column align-items-center">
                <h3>Paciente</h3>
                <img src="static/assets/img/paciente.png">
                <a class="a1" href="/cadastro"></a>
              </div>
              <div class="opt-container ml-5 d-flex flex-column align-items-center">
                <h3>Enfermeiro</h3>
                <img src="static/assets/img/enfermeiro.png">
                <a class="a2" href="/cadastroEn"></a>
              </div>
            </div>
          </div>
        </div>
      </section>
     
    
    
      
    <script src="script.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
</body>
</html>

templates/escolhalo.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/static/css/landing.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    <title>Escolha</title>
</head>
<body>
    <section>
        <div class="cadastro-container">
    
          <div class="opt-items d-flex  flex-column">
            <div class="text-cadastro">
              <h2 class="text-center mt-5">Escolha seu login</h2>
            </div>
            <div class="container-items d-flex justify-content-center align-items-center">
              <div class="opt-container mr-5 d-flex flex-column align-items-center">
                <h3>Paciente</h3>
                <img src="static/assets/img/paciente.png">
                <a class="a1" href="/loginPa"></a>
              </div>
              <div class="opt-container ml-5 d-flex flex-column align-items-center">
                <h3>Enfermeiro</h3>
                <img src="static/assets/img/enfermeiro.png">
                <a class="a2" href="/logine"></a>
              </div>
            </div>
          </div>
        </div>
      </section>
     
    
    
      
    <script src="script.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
</body>
</html>

templates/estoque_create.html
<!DOCTYPE html>
<html>
<head>
  <title>Estoque de Vacinação</title>
</head>
<body>
  <h2>Estoque de Vacinação</h2>
  <form action="/estoque/create" method="post">
    <label for="nome">Nome:</label>
    <input type="text" id="nome" name="nome"><br><br>
    
    <label for="observacao">Observação:</label>
    <input type="text" id="observacao" name="observacao" rows="4" cols="50"><br><br>
    
    <label for="tempo_dose">Tempo de Intervalo para Dose:</label>
    <input type="text" id="tempo_dose" name="tempo_dose"><br><br>
    
    <label for="data_vencimento">Data de Vencimento:</label>
    <input type="date" id="data_vencimento" name="data_vencimento"><br><br>
    
    <label for="local_vacina">Local de Vacinação:</label>
    <input type="text" id="local_vacina" name="local_vacina"><br><br>

    <label for="disponivel">Vacina Disponível:</label>
     <select id="disponivel" name="disponivel">
        <option value=0>Disponível</option>
        <option value=1>Indisponível</option>
      </select>
    
    <input type="submit" value="Enviar">
  </form>
</body>
</html>

templates/estoque_recovery.html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="icon" type="image/png" href="/static/assets/img/favicon-16x16.png">
  <title>Estoque</title>
</head>
<body>
  <main>
      <section class="main-enfermeiros">
        <h1>Estoque de vacinas</h1>
        <ul>
      	{% for e in estoque %}
      		<li>
            <h3>{{e.nome}}</h3> 
            <p class="p1">{{e.id}}</p> </br> 
            <p class="p2">{{e.tempo_dose}}</p></br> 
            <p class="p3">{{e.observacao}}</p></br> 
            <p class="p4">{{e.data_vencimento}}</p></br>
            <p class="p3">{{e.local_vacina}}</p></br>
            {% if e.disponivel == 1 %}
              <p class="p4">Sim</p></br>  
            {% endif %}
            {% if e.disponivel == 0 %}
              <p class="p4">Não</p></br>  
            {% endif %}
            <a style="text-decoration:none" class="a1" href="/estoque/update/{{e.id}}">EDITAR</a> 
            <a class="a2" style="text-decoration:none" href="/estoque/delete/{{e.id}}">DELETAR</a>
          </li> 
      	{% endfor %}
        </ul>
      </section>
  </main>
</body>
</html>

templates/estoque_update.html
<!DOCTYPE html>
<html lang="pt-br">
  <head>
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <link rel="stylesheet" href="/static/css/cadastro.css">
      <link rel="icon" type="image/png" href="/static/assets/img/favicon-16x16.png">
      <title>Study-cadastro</title>
  </head>
  <body>
    <section class="main-cadastro">
        <div class="left-cadastro">
            <h1>Modifique seus dados <br> do CID </h1>
            <img src="/static/assets/svg-cadastro.svg" class="left-image" alt="imagem login">
        </div>
        <div class="right-cadastro">
              <div class="card-cadastro">
                  <form action="/estoque/update/{{estoque.id}}" method="post">
                      <h1>Mude os dados</h1>
                      <div class="textfield-2">
                          <label for="nome">Nome</label>
                          <input type="text"  id="nome" name="nome" value="{{estoque.nome}}" placeholder="Nome">
                      </div>
                      <div class="textfield-2">
                          <label for="observacao">E-mail</label>
                          <input type="text" id="observacao" name="observacao" value="{{estoque.observacao}}" placeholder="observacao" >
                      </div>
                      <div class="textfield-2">
                          <label for="tempo_dose">Tempo de Intervalo para Dose</label>
                          <input type="text" id="tempo_dose" name="tempo_dose" value="{{estoque.tempo_dose}}" placeholder="Tempo para próxima dose">
                      </div>
                      <div class="textfield-2">
                          <label for="local_vacina">Local de Vacinação:</label>
                          <input type="text" id="senha" name="local_vacina" value="{{estoque.local_vacina}}" placeholder="Digite o local de vacina">
                      </div>
                      <div class="textfield-2">
                        <label for="disponivel">Vacina Disponível:</label>
                        <input type="radio"  id = "disponivel" name="disponivel" value="Sim">Sim<br><br>
                        <input type="radio"  id = "disponivel"name="disponivel" value="Não">Não<br><br>
                          <label for="local"
                      </div>
                      <input class="btn-cadastro" type="submit" value="confirmar">
                  </form>
              </div>
        </div>
    </section>
    <footer class="rodape">
        <p>© 2022 Site desenvolvido pela study - Criadora de Métodos de Estudos | IFRN</p>
    </footer>
  </body>
</html>

templates/localCa.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/static/css/locaisCa.css">
    <title>Locais - Cadastro</title>
</head>
<body>
  {%extends 'menu.html'%}
  {%block conteudo%}
    <main class="container">
        <section class="cima">
            <h1>Locais</h1>
            <div class="direita">
                <img src="/static/assets/img/notification.svg" alt="icone de notificações">
                <p>{{current_user.nome}}</p>
                <img src="/static/assets/img/seta.svg" alt="icone de seta">
            </div>

            <nav class="ancoras">
                <ul>
                    <li class="item"><a href="/dashboard">Histórico</a></li>
                    <li class="item"><a href="/vacinas">Vacinas</a></li>
                    <li class="item"><a href="/locais">Locais</a></li>
                    <li class="item"><a href="#">Perfil</a></li>
        </section>

        <a class="adicionar" href="#"><img src="/static/assets/img/adicionar.svg" alt="icone de adicionar">Adicionar Locais</a>

        <section class="baixo-box">
            <div class= "local">
                {% for l in local %}  
                    <div class="locais"> 
                        <img src="/static/assets/img/local.png" alt="imagem de local">
                        <span class="nome">{{l.nome}}</span> 
                        <span class="endereco">{{l.endereco}}</span>
                        <a class= 'excluir' href="/vacina/update/{{v.id}}">Excluir</a> 
                        <a class= 'editar'href="/vacina/delete/{{v.id}}">Editar</a>
                    </div>
                {% endfor %}
            </div>
        </section>

        <section class="baixo-direita">
            <div class="card">
                <form action="/local/create" method="post">
                    <h1>Cadastro de Locais</h1>
                    <div class="textfield-2">
                        <label for="nome_local">Nome do local</label>
                        <input type="text"  id="nome_local" name="nome_local" placeholder="Digite o nome do local...">
                    </div>
                    <div class="textfield-2">
                        <label for="Endereco">Endereço</label>
                        <input type="text"  id="endereco" name="endereco" placeholder="Digite o Local da Vacinação...">
                    </div>
                    <a class="maps" id="maps" name="maps">Anexar Local do Mapa</a>
                    <input class="btn-cadastro" type="submit" value="Cadastrar">
                </form>
            </div>
        </section>
    </main>
  {%endblock%}
</body>
</html>

templates/local_delete.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CID - Deletar</title>
  <link rel="stylesheet" href="/static/css/local_delete.css">
</head>
<body>
    <section class="container">
        <h1>Excluir Assunto</h1>
        <div class="box">
          <img src="/static/assets/img/yes-or-no-animate (1).svg" alt="imagem">
          <p> Você tem certeza que deseja excluir o local: {{local.id}} </p>
          <form method='post' action='/local/delete/{{local.id}}'>
            <input type="submit" value="Sim">
          </form>
          <a href="/materia">Cancelar</a>
        </div>
    </section>
</body>

templates/local_recovery.html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="icon" type="image/png" href="/static/assets/img/favicon-16x16.png">
  <title>Local de vacinação</title>
</head>
<body>
  <main>
      <section class="main-enfermeiros">
        <h1>Local de vacinação</h1>
        <ul>
      	{% for l in local %}
      		<li>
            <h3>{{l.nome_local}}</h3> 
            <p class="p1">{{l.id}}</p>
            <p class="p2">{{l.endereco}}</p></br> 
            <a style="text-decoration:none" class="a1" href="/local/update/{{l.id}}">EDITAR</a> 
            <a class="a2" style="text-decoration:none" href="/local/delete/{{l.id}}">DELETAR</a>
          </li> 
      	{% endfor %}
        </ul>
      </section>
  </main>
</body>
</html>

templates/loginPa.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/static/css/logink.css">
    <title>Login - Paciente</title>
</head>
<body>
    <section class="esquerda">
        <h1>Seu Documento <span>Imunee!</span></h1>
    </section>
    <section class="direita">
        <img src="/static/assets/img/Fingerprint-pana 1.png" alt="imagem">
        <form action="/usuarios/autenticar" method="post">
            <h1>Login</h1>
            <div class="textfield-2">
                <input type="email" id="email" name="email" placeholder="Digite Seu E-mail">
                <img src="/static/assets/img/email.svg" alt="usuário">
            </div>
            <div class="textfield-2">
                <input type="password" id="senha" name="senha" placeholder="Digite Sua Senha">
                <img src="/static/assets/img/password (1).svg" alt="cadeado">
            </div>
            <a href="#">esqueceu a senha?</a>
            
            <input class="btn-cadastro" type="submit" value="Entrar">
        </form>

        <div class="link">
            <a href=/>Página Inicial</a>
            <a href="/cadastro">Cadastre-se</a>
       </div>
    </section>
</body>
</html>

templates/menuPa.html
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="/static/css/menu.css">
    <title>menu</title>
</head>
<body>
    <section class="menu-box">
        <img class="logo" src="/static/assets/img/Frame 3.svg" alt="logotipo">
        <img  class="perfil" src="/static/assets/img/Ellipse 2 (2).png" alt="perfil">

        <nav class="menu">
            <ul>
                <li class="item"><a href="/dashboard"><img src="/static/assets/img/dashboard2.svg" alt="">Meu CID</a></li>
                <li class="item"><a href="/vacinas"><img src="/static/assets/img/Vacina3.svg" alt="">Vacinas</a></li>
                <li class="item"><a href="/locais"><img src="/static/assets/img/locais3.svg" alt="">Locais</a></li>
                <li class="item"><a href="#"><img src="/static/assets/img/meu.svg" alt="">Meu Perfil</a></li>
                <li class="sair"><a href="{{url_for('usuarios.logoff')}}"><img src="/static/assets/img/log out2.svg" alt="">Sair</a></li>
            </ul>
        </nav>
    </section>

    <main>
        {% block conteudo %}
        {% endblock %}
    </main>

    <script src="menu.js"></script>
</body>
</html>

templates/usuarios_recovery.html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="static/css/usuarios_recovery.css">
  <link rel="icon" type="image/png" href="/static/assets/img/favicon-16x16.png">
  <title>Dados interno do sistema</title>
</head>
<body>
  <main>
    {% block conteudo %}
      <section class="main-usuarios">
        <h1>Tabela de dados dos usuários</h1>
        <ul>
      	{% for u in usuarios %}
      		<li> <h3>{{u.nome}}</h3> <p class="p1">{{u.id}}</p> </br> <p class="p2">{{u.email}}</p></br> <p class="p3">{{u.admin}}</p></br> <p class="p4">{{u.senha}}</p></br>
                  <a style="text-decoration:none" class="a1" href="/usuarios/update/{{u.id}}">EDITAR</a> 
          <a class="a2" style="text-decoration:none" href="/usuarios/delete/{{u.id}}">DELETAR</a>
          </li> 
      	{% endfor %}
      	</ul>
          <img class="imagem" src= "/static/assets/meninaemlivro.png">
      </section>
    {%endblock%}
  </main>
</body>
</html>